<?php
//
// Will test core TOTP functions
//
error_reporting(E_ALL | E_STRICT);
ini_set("track_errors", "On");

$INC = dirname(__FILE__) . "/../inc";
require_once(dirname(__FILE__) . "/config.php");
require_once($INC . "/init.inc.php");
require_once($INC . "/util.inc.php");
require_once($INC . "/log.inc.php");
require_once($INC . "/totp.inc.php");

rg_log_set_file("totp.log");

$rg_no_db = TRUE;
require_once("common.php");

rg_log('');
rg_log('Testing rg_totp_verify...');
$key = 'ACHCBCCVQ7AK4RGM';
$now = 1441527846; $tc = intval($now / 30);
$token = 215840;
$r = rg_totp_verify($key, $now, $token);
if ($r === FALSE) {
	rg_log('verifying token ' . $token . ' with key ' . $key . ' failed!');
	exit(1);
}
if ($r !== $tc) {
	rg_log('verifying token with key ' . $key . ' returned wrong tc: ' . $tc . '!');
	exit(1);
}

rg_log("OK!");
?>
